diff --git a/src/components/topbar/CurrentUserButton.vue b/src/components/topbar/CurrentUserButton.vue
index c5d8809d4..1d92552e1 100644
--- a/src/components/topbar/CurrentUserButton.vue
+++ b/src/components/topbar/CurrentUserButton.vue
@@ -9,9 +9,7 @@
       aria-label="user profile"
       @click="popover?.toggle($event)"
     >
-      <div
-        class="flex items-center rounded-full bg-[var(--p-content-background)]"
-      >
+      <div class="flex items-center rounded-full bg-(--p-content-background)">
         <UserAvatar :photo-url="photoURL" />
 
         <i class="pi pi-chevron-down px-1" :style="{ fontSize: '0.5rem' }" />
diff --git a/src/components/topbar/CurrentUserPopover.vue b/src/components/topbar/CurrentUserPopover.vue
index 812341c2f..de9fab40c 100644
--- a/src/components/topbar/CurrentUserPopover.vue
+++ b/src/components/topbar/CurrentUserPopover.vue
@@ -8,7 +8,7 @@
           class="mb-3"
           :photo-url="userPhotoUrl"
           :pt:icon:class="{
-            '!text-2xl': !userPhotoUrl
+            'text-2xl!': !userPhotoUrl
           }"
           size="large"
         />
diff --git a/src/components/topbar/TopMenubar.vue b/src/components/topbar/TopMenubar.vue
index d898e2f2a..4204789c0 100644
--- a/src/components/topbar/TopMenubar.vue
+++ b/src/components/topbar/TopMenubar.vue
@@ -2,7 +2,7 @@
   <div>
     <div
       v-show="showTopMenu && workflowTabsPosition === 'Topbar'"
-      class="w-full flex content-end z-[1001] h-[38px]"
+      class="w-full flex content-end z-1001 h-[38px]"
       style="background: var(--border-color)"
     >
       <WorkflowTabs />
@@ -14,19 +14,19 @@
       :class="{ dropzone: isDropZone, 'dropzone-active': isDroppable }"
     >
       <CommandMenubar />
-      <div class="flex-grow min-w-0 app-drag h-full"></div>
+      <div class="grow min-w-0 app-drag h-full"></div>
       <div
         ref="menuRight"
         class="comfyui-menu-right flex-shrink-1 overflow-auto"
       />
       <Actionbar />
-      <CurrentUserButton class="flex-shrink-0" />
+      <CurrentUserButton class="shrink-0" />
     </div>
 
     <!-- Virtual top menu for native window (drag handle) -->
     <div
       v-show="isNativeWindow() && !showTopMenu"
-      class="fixed top-0 left-0 app-drag w-full h-[var(--comfy-topbar-height)]"
+      class="fixed top-0 left-0 app-drag w-full h-(--comfy-topbar-height)"
     />
   </div>
 </template>
diff --git a/src/components/topbar/WorkflowTab.vue b/src/components/topbar/WorkflowTab.vue
index 1c39832d9..c42a92646 100644
--- a/src/components/topbar/WorkflowTab.vue
+++ b/src/components/topbar/WorkflowTab.vue
@@ -175,6 +175,8 @@ onUnmounted(() => {
 </script>
 
 <style scoped>
+@reference '../../assets/css/style.css';
+
 .status-indicator {
   @apply absolute font-bold;
   font-size: 1.5rem;
diff --git a/src/components/topbar/WorkflowTabPopover.vue b/src/components/topbar/WorkflowTabPopover.vue
index 40b867437..39e73f1a6 100644
--- a/src/components/topbar/WorkflowTabPopover.vue
+++ b/src/components/topbar/WorkflowTabPopover.vue
@@ -169,6 +169,8 @@ defineExpose({
 </script>
 
 <style scoped>
+@reference '../../assets/css/style.css';
+
 .workflow-preview-content {
   @apply flex flex-col rounded-xl overflow-hidden;
   max-width: var(--popover-width);
@@ -204,6 +206,8 @@ defineExpose({
 </style>
 
 <style>
+@reference '../../assets/css/style.css';
+
 .workflow-popover-fade {
   --p-popover-background: transparent;
   --p-popover-content-padding: 0;
diff --git a/src/components/topbar/WorkflowTabs.vue b/src/components/topbar/WorkflowTabs.vue
index d4aad2c3e..5b2d66a69 100644
--- a/src/components/topbar/WorkflowTabs.vue
+++ b/src/components/topbar/WorkflowTabs.vue
@@ -55,7 +55,7 @@
     />
     <Button
       v-tooltip="{ value: $t('sideToolbar.newBlankWorkflow'), showDelay: 300 }"
-      class="new-blank-workflow-button flex-shrink-0 no-drag rounded-none"
+      class="new-blank-workflow-button shrink-0 no-drag rounded-none"
       icon="pi pi-plus"
       text
       severity="secondary"
@@ -65,7 +65,7 @@
     <ContextMenu ref="menu" :model="contextMenuItems" />
     <div
       v-if="menuSetting !== 'Bottom' && isDesktop"
-      class="window-actions-spacer flex-shrink-0 app-drag"
+      class="window-actions-spacer shrink-0 app-drag"
     />
   </div>
 </template>
@@ -302,12 +302,14 @@ onUpdated(() => {
 </script>
 
 <style scoped>
+@reference '../../assets/css/style.css';
+
 .workflow-tabs-container {
   background-color: var(--comfy-menu-secondary-bg);
 }
 
 :deep(.p-togglebutton) {
-  @apply p-0 bg-transparent rounded-none flex-shrink relative border-0 border-r border-solid;
+  @apply p-0 bg-transparent rounded-none shrink relative border-0 border-r border-solid;
   border-right-color: var(--border-color);
   min-width: 90px;
 }
diff --git a/src/components/widget/layout/BaseWidgetLayout.vue b/src/components/widget/layout/BaseWidgetLayout.vue
index 1be5b109c..816da1319 100644
--- a/src/components/widget/layout/BaseWidgetLayout.vue
+++ b/src/components/widget/layout/BaseWidgetLayout.vue
@@ -38,7 +38,7 @@
             v-if="$slots.header"
             class="w-full h-16 px-6 py-4 flex justify-between gap-2"
           >
-            <div class="flex-1 flex gap-2 flex-shrink-0">
+            <div class="flex-1 flex gap-2 shrink-0">
               <IconButton v-if="!notMobile" @click="toggleLeftPanel">
                 <i-lucide:panel-left v-if="!showLeftPanel" class="text-sm" />
                 <i-lucide:panel-left-close v-else class="text-sm" />
diff --git a/src/components/widget/nav/NavItem.vue b/src/components/widget/nav/NavItem.vue
index 586d16569..4d96327ea 100644
--- a/src/components/widget/nav/NavItem.vue
+++ b/src/components/widget/nav/NavItem.vue
@@ -4,7 +4,7 @@
     :class="
       active
         ? 'bg-neutral-100 dark-theme:bg-zinc-700 text-neutral'
-        : 'text-neutral hover:bg-zinc-100 hover:dark-theme:bg-zinc-700/50'
+        : 'text-neutral hover:bg-zinc-100 dark-theme:hover:bg-zinc-700/50'
     "
     role="button"
     @click="onClick"
diff --git a/src/extensions/core/maskeditor.ts b/src/extensions/core/maskeditor.ts
index ff9036723..238056f74 100644
--- a/src/extensions/core/maskeditor.ts
+++ b/src/extensions/core/maskeditor.ts
@@ -385,7 +385,7 @@ var styles = `
     height: var(--mask-editor-top-bar-height);
     align-items: center;
     background: var(--comfy-menu-bg);
-    flex-shrink: 0;
+    shrink: 0;
   }
   #maskEditor_topBarTitle {
     margin: 0;
diff --git a/src/main.ts b/src/main.ts
index d278f816d..b15d4067f 100644
--- a/src/main.ts
+++ b/src/main.ts
@@ -52,7 +52,7 @@ app
         prefix: 'p',
         cssLayer: {
           name: 'primevue',
-          order: 'primevue, tailwind-utilities'
+          order: 'theme, base, primevue'
         },
         // This is a workaround for the issue with the dark mode selector
         // https://github.com/primefaces/primevue/issues/5515
diff --git a/src/services/dialogService.ts b/src/services/dialogService.ts
index 98a35f59b..98293bc89 100644
--- a/src/services/dialogService.ts
+++ b/src/services/dialogService.ts
@@ -120,7 +120,7 @@ export const useDialogService = () => {
       headerComponent: TemplateWorkflowsDialogHeader,
       dialogComponentProps: {
         pt: {
-          content: { class: '!px-0 overflow-y-hidden' }
+          content: { class: 'px-0! overflow-y-hidden' }
         }
       },
       props
@@ -143,9 +143,9 @@ export const useDialogService = () => {
                 'bg-gray-500 dark-theme:bg-neutral-700 w-9 h-9 p-1.5 rounded-full text-white'
             }
           },
-          header: { class: '!py-0 px-6 !m-0 h-[68px]' },
+          header: { class: 'py-0! px-6 m-0! h-[68px]' },
           content: {
-            class: '!p-0 h-full w-[90vw] max-w-full flex-1 overflow-hidden'
+            class: 'p-0! h-full w-[90vw] max-w-full flex-1 overflow-hidden'
           },
           root: { class: 'manager-dialog' }
         }
@@ -170,9 +170,9 @@ export const useDialogService = () => {
         position: 'bottom',
         pt: {
           root: { class: 'w-[80%] max-w-2xl mx-auto border-none' },
-          content: { class: '!p-0' },
-          header: { class: '!p-0 border-none' },
-          footer: { class: '!p-0 border-none' }
+          content: { class: 'p-0!' },
+          header: { class: 'p-0! border-none' },
+          footer: { class: 'p-0! border-none' }
         }
       }
     })
@@ -365,7 +365,7 @@ export const useDialogService = () => {
       props: options,
       dialogComponentProps: {
         pt: {
-          header: { class: '!p-3' }
+          header: { class: 'p-3!' }
         }
       }
     })
@@ -439,10 +439,10 @@ export const useDialogService = () => {
           class: 'rounded-2xl overflow-hidden'
         },
         header: {
-          class: '!p-0 hidden'
+          class: 'p-0! hidden'
         },
         content: {
-          class: '!p-0 !m-0'
+          class: 'p-0! m-0!'
         }
       }
     }
diff --git a/src/types/buttonTypes.ts b/src/types/buttonTypes.ts
index 744f284a1..97e936946 100644
--- a/src/types/buttonTypes.ts
+++ b/src/types/buttonTypes.ts
@@ -64,8 +64,8 @@ export const getIconButtonSizeClasses = (size: ButtonSize = 'md') => {
 
 export const getBaseButtonClasses = () => {
   return [
-    'flex items-center justify-center flex-shrink-0',
-    'outline-none rounded-lg cursor-pointer transition-all duration-200',
+    'flex items-center justify-center shrink-0',
+    'outline-hidden rounded-lg cursor-pointer transition-all duration-200',
     'disabled:opacity-50 disabled:pointer-events-none'
   ].join(' ')
 }
diff --git a/src/types/comfyRegistryTypes.ts b/src/types/comfyRegistryTypes.ts
index be7211ed8..94c434ebd 100644
--- a/src/types/comfyRegistryTypes.ts
+++ b/src/types/comfyRegistryTypes.ts
@@ -5142,7 +5142,7 @@ export interface components {
       | 'doodle_fill'
       | 'doodle_offset_fill'
       | 'offset_fill'
-      | 'outline'
+      | 'outline-solid'
       | 'outline_gradient'
       | 'uneven_fill'
       | '70s'
diff --git a/src/views/DesktopUpdateView.vue b/src/views/DesktopUpdateView.vue
index 370b9b239..efaa6d1f4 100644
--- a/src/views/DesktopUpdateView.vue
+++ b/src/views/DesktopUpdateView.vue
@@ -61,6 +61,8 @@ onUnmounted(() => electron.Validation.dispose())
 </script>
 
 <style scoped>
+@reference '../assets/css/style.css';
+
 .download-bg::before {
   @apply m-0 absolute text-muted;
   font-family: 'primeicons';
diff --git a/src/views/DownloadGitView.vue b/src/views/DownloadGitView.vue
index 53f5c0fbd..12c116ad8 100644
--- a/src/views/DownloadGitView.vue
+++ b/src/views/DownloadGitView.vue
@@ -1,7 +1,7 @@
 <template>
   <BaseViewTemplate>
     <div
-      class="max-w-screen-sm flex flex-col gap-8 p-8 bg-[url('/assets/images/Git-Logo-White.svg')] bg-no-repeat bg-right-top bg-origin-padding"
+      class="max-w-(--breakpoint-sm) flex flex-col gap-8 p-8 bg-[url('/assets/images/Git-Logo-White.svg')] bg-no-repeat bg-top-right bg-origin-padding"
     >
       <!-- Header -->
       <h1 class="mt-24 text-4xl font-bold text-red-500">
diff --git a/src/views/InstallView.vue b/src/views/InstallView.vue
index 76d4d42c4..0c0dbfd44 100644
--- a/src/views/InstallView.vue
+++ b/src/views/InstallView.vue
@@ -202,6 +202,8 @@ onMounted(async () => {
 </script>
 
 <style scoped>
+@reference '../assets/css/style.css';
+
 :deep(.p-steppanel) {
   @apply bg-transparent;
 }
diff --git a/src/views/MaintenanceView.vue b/src/views/MaintenanceView.vue
index 352b9ec46..ea258c820 100644
--- a/src/views/MaintenanceView.vue
+++ b/src/views/MaintenanceView.vue
@@ -3,7 +3,7 @@
     <div
       class="min-w-full min-h-full font-sans w-screen h-screen grid justify-around text-neutral-300 bg-neutral-900 dark-theme overflow-y-auto"
     >
-      <div class="max-w-screen-sm w-screen m-8 relative">
+      <div class="max-w-(--breakpoint-sm) w-screen m-8 relative">
         <!-- Header -->
         <h1 class="backspan pi-wrench text-4xl font-bold">
           {{ t('maintenance.title') }}
@@ -178,6 +178,8 @@ onUnmounted(() => electron.Validation.dispose())
 </script>
 
 <style scoped>
+@reference '../assets/css/style.css';
+
 :deep(.p-tag) {
   --p-tag-gap: 0.375rem;
 }
diff --git a/src/views/NotSupportedView.vue b/src/views/NotSupportedView.vue
index ce0377e25..89537d42d 100644
--- a/src/views/NotSupportedView.vue
+++ b/src/views/NotSupportedView.vue
@@ -79,6 +79,8 @@ const continueToInstall = async () => {
 </script>
 
 <style scoped>
+@reference '../assets/css/style.css';
+
 .sad-container {
   @apply grid items-center justify-evenly;
   grid-template-columns: 25rem 1fr;
diff --git a/src/views/UserSelectView.vue b/src/views/UserSelectView.vue
index 16b1084bf..e1f98c013 100644
--- a/src/views/UserSelectView.vue
+++ b/src/views/UserSelectView.vue
@@ -2,7 +2,7 @@
   <BaseViewTemplate dark>
     <main
       id="comfy-user-selection"
-      class="min-w-84 relative rounded-lg bg-[var(--comfy-menu-bg)] p-5 px-10 shadow-lg"
+      class="min-w-84 relative rounded-lg bg-(--comfy-menu-bg) p-5 px-10 shadow-lg"
     >
       <h1 class="my-2.5 mb-7 font-normal">ComfyUI</h1>
       <div class="flex w-full flex-col items-center">
diff --git a/src/views/WelcomeView.vue b/src/views/WelcomeView.vue
index 3c749474e..597bc5a6b 100644
--- a/src/views/WelcomeView.vue
+++ b/src/views/WelcomeView.vue
@@ -33,6 +33,8 @@ const navigateTo = async (path: string) => {
 </script>
 
 <style scoped>
+@reference '../assets/css/style.css';
+
 .animated-gradient-text {
   @apply font-bold;
   font-size: clamp(2rem, 8vw, 4rem);
diff --git a/tailwind.config.js b/tailwind.config.ts
similarity index 97%
rename from tailwind.config.js
rename to tailwind.config.ts
index c5824f2e8..cbf3ce996 100644
--- a/tailwind.config.js
+++ b/tailwind.config.ts
@@ -1,15 +1,10 @@
-/** @type {import('tailwindcss').Config} */
 import { addDynamicIconSelectors } from '@iconify/tailwind'
 
-import { iconCollection } from './build/customIconCollection.ts'
+import { iconCollection } from './build/customIconCollection'
 
 export default {
   content: ['./index.html', './src/**/*.{vue,js,ts,jsx,tsx}'],
 
-  corePlugins: {
-    preflight: false // This disables Tailwind's base styles
-  },
-
   theme: {
     fontSize: {
       xxs: '0.625rem',
diff --git a/vite.config.mts b/vite.config.mts
index 44feab7f1..292f45f3c 100644
--- a/vite.config.mts
+++ b/vite.config.mts
@@ -1,3 +1,4 @@
+import tailwindcss from '@tailwindcss/vite'
 import vue from '@vitejs/plugin-vue'
 import dotenv from 'dotenv'
 import { FileSystemIconLoader } from 'unplugin-icons/loaders'
@@ -86,6 +87,7 @@ export default defineConfig({
     ...(!DISABLE_VUE_PLUGINS
       ? [vueDevTools(), vue(), createHtmlPlugin({})]
       : [vue()]),
+    tailwindcss(),
     comfyAPIPlugin(IS_DEV),
     generateImportMapPlugin([
       {

